Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158689 - CAN-2005-1636 mysql insecure temporary file creation
Summary: CAN-2005-1636 mysql insecure temporary file creation
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: mysql
Version: 4
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Tom Lane
QA Contact: David Lawrence
URL:
Whiteboard: impact=low,public=20050517,reported=2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-24 20:46 UTC by Josh Bressers
Modified: 2013-07-03 03:05 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-13 03:58:35 UTC


Attachments (Terms of Use)

Description Josh Bressers 2005-05-24 20:46:27 UTC
+++ This bug was initially created as a clone of Bug #158688 +++

mysql_install_db in MySQL 4.x before 4.0.12 and 5.x up to 5.0.4 creates the
mysql_install_db.X file with a predictable filename and insecure permissions,
which allows local users to execute arbitrary SQL commands by modifying the
file's contents.

More information is in the full-disclosure post:
http://marc.theaimsgroup.com/?l=full-disclosure&m=111632686805498&w=2

Comment 1 Tom Lane 2005-07-12 23:47:41 UTC
This does not affect FC3, only FC4, since we were still using MySQL 3.x at the
time and the faulty code is not in 3.x.

Comment 2 Tom Lane 2005-07-13 03:58:35 UTC
The plan for FC4 is to push mysql-4.1.12 which includes a fix for this.  (I intend to ship 4.1.12 in RHEL4 
QU2 as well, but let's get some testing in FC4 branch first.)


Note You need to log in before you can comment on or make changes to this bug.